> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadles.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List subsciption billable metrics, quotas and current usage



## OpenAPI

````yaml /openapi/provider.api.yaml get /subscriptions/{subscriptionId}/product/billable-metrics/
openapi: 3.0.3
info:
  title: Nadles Provider API
  version: '0.1'
  description: Nadles Provider API allows managing products, customers and subscriptions
  x-logo:
    url: ''
servers:
  - url: https://provider.api.nadles.com/v0
    description: ''
security:
  - defaultApiKey: []
tags: []
paths:
  /subscriptions/{subscriptionId}/product/billable-metrics/:
    get:
      summary: List subsciption billable metrics, quotas and current usage
      operationId: listSubscriptionProductBillableMetrics
      parameters:
        - name: subscriptionId
          in: path
          required: true
          description: The ID of the subscription.
          schema:
            type: string
        - name: expand
          schema:
            enum:
              - currentUsage
            type: string
          in: query
          required: false
          allowEmptyValue: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListSubscriptionProductBillableMetricsResponse
components:
  schemas:
    ListSubscriptionProductBillableMetricsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BillableMetricResponseItem'
    BillableMetricResponseItem:
      type: object
      properties:
        name:
          type: string
        label:
          type: string
        quotas:
          type: array
          items:
            $ref: '#/components/schemas/BillableMetricQuotaResponseItem'
    BillableMetricQuotaResponseItem:
      type: object
      properties:
        quota:
          type: number
        usage:
          type: number
        period:
          $ref: '#/components/schemas/Period'
        end:
          type: string
          format: date-time
    Period:
      type: object
      properties:
        unit:
          type: string
        value:
          type: integer
  securitySchemes:
    defaultApiKey:
      description: API key provided in the admin portal
      type: apiKey
      name: nadles-provider-key
      in: header

````